Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83776 - bash info documentation has wrong filename
Summary: bash info documentation has wrong filename
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: bash
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-08 07:19 UTC by petrosyan
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-11-15 22:00:38 UTC


Attachments (Terms of Use)

Description petrosyan 2003-02-08 07:19:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030120

Description of problem:
yelp fails to show the bash info documentation
it shows the menu for bash documentation all right, but it fails to browse
through it.

Version-Release number of selected component (if applicable):
2.2.0-1

How reproducible:
Always

Steps to Reproduce:
1. start yelp
2. click on "Info Pages" at the bottom of the page
3. click on "bash (info)"
4. now click on any of the items in the Contents menu.

Actual Results:  The info document "bashref" could not be found. It may have
been removed from your system.

Expected Results:  The bash info documentation should show up.

Additional info:

bash documentations works fine in text based info browser.
other info documents also work fine in yelp.

Comment 1 petrosyan 2003-04-01 20:53:50 UTC
the bug is still present in Red Hat Linux 9

Comment 2 petrosyan 2003-07-22 03:46:27 UTC
this bug is still present in Severn, yelp-2.2.3-1

Comment 3 petrosyan 2003-09-26 23:38:08 UTC
this bug is still present in Fedora Core release 0.94 (Severn)
yelp-2.4.0-1

Comment 4 petrosyan 2003-10-31 00:32:59 UTC
after looking through the /usr/share/info/bash.info.gz file I think I found the
problem.

inside /usr/share/info/bash.info.gz it says:
File: bashref.info,  Node: Top,  Next: Introduction,  Prev: (dir),  Up: (dir)

while the name of the file is bash.info and not bashref.info.

this explains the error message displayed by yelp:

'The info document "bashref" could not be found. It may have
been removed from your system.'


Comment 5 Alexander Larsson 2003-10-31 08:40:28 UTC
Then this seems like a bash error.


Comment 6 Tim Waugh 2003-10-31 09:28:48 UTC
Fixed in CVS.

Comment 7 petrosyan 2003-11-15 22:00:38 UTC
fixed in rawhide bash-2.05b-32



Note You need to log in before you can comment on or make changes to this bug.